[package]
authors = ["Jonathan Klimt <jonathan.klimt@rwth-aachen.de>"]
edition = "2018"
name = "benephon"
version = "0.1.0"

[[bin]]
bench = false
name = "benephon"
test = false

[profile.release]
codegen-units = 1
opt-level = 's'
debug = true
lto = true

[dependencies]
cortex-m = "0.6.0"
cortex-m-rt = "0.6.10"
cortex-m-semihosting = "0.3.3"
# panic-halt = "0.2.0"
sh1106 = "0.3.1" # OLED Display
embedded-graphics = "0.6.0"
heapless = "0.5.1"
panic-semihosting = "0.5.3"
bitflags = "1.2.1"
arrayref = "0.3.6"

[dependencies.embedded-hal]
version = "0.2.3"

[dependencies.stm32f1]
version = "0.9.0"
features = ["stm32f103", "rt"]

[dependencies.stm32f1xx-hal]
features = ["stm32f103", "rt", "medium"]
version = "0.5.2"

[dependencies.rtfm]
package = "cortex-m-rtfm"
version = "0.5.1"

# [features]
# default = ["graphics"]
# graphics = ["embedded-graphics"]
